Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: Zimbra install errorr on FC 4 - Please help

  1. #1
    gva_1030 is offline Junior Member
    Join Date
    Feb 2008
    Posts
    7
    Rep Power
    7

    Default Zimbra install errorr on FC 4 - Please help

    Hi,
    I am installing Zimbra latest open source edition on FC4. Installation die finally with following error
    ./install.sh 250: 7331 Floating point exception in /opt/zimbra/libexec/zmsetup.pl

    Please guide me to handle this exception....

    Thanks in advance.

  2. #2
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,201
    Rep Power
    56

    Default

    FC4 isn't a supported platform for current releases of Zimbra, which version are you trying to install?
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  3. #3
    gva_1030 is offline Junior Member
    Join Date
    Feb 2008
    Posts
    7
    Rep Power
    7

    Default zcs 5.0 opensource

    Thank you for response,
    I am using ZCS 5.0 Opensource edition.
    The ldap service couldn't be started. Is there any link to this error...

  4. #4
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,201
    Rep Power
    56

    Default

    FC4 is not supported and is old, I'd suggest you install FC7 then install the correct version of Zimbra on that.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  5. #5
    gva_1030 is offline Junior Member
    Join Date
    Feb 2008
    Posts
    7
    Rep Power
    7

    Default

    Hello Phoenix,
    I moved to FC 8 and tried to install ZCS 5.0 opensource edition. It's giving error while checking prerequisites.....

    Checking for prerequisites...
    NPTL...FOUND
    sudo...FOUND sudo-1.6.9p4-2
    libidn...FOUND libidn-0.6.14-4
    fetchmail...FOUND fetchmail-6.3.8-3
    gmp...FOUND gmp-4.2.2-3
    /usr/lib/libstdc++.so.5...MISSING

    ###ERROR###

    One or more prerequisite packages are missing.
    Please install them before running this installer.


    But the libstdc++ is installed ,

    [root@localhost zcs]# rpm -qa | grep c++
    libsigc++20-2.0.18-1
    gcc-c++-4.1.2-33
    libstdc++-devel-4.1.2-33
    libstdc++-4.1.2-33
    [root@localhost zcs]#


    Please guide me in this issues , and thanks in advance.

  6. #6
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,201
    Rep Power
    56

    Default

    You are missing a package, try this:

    Code:
    rpm -q --whatprovides libstdc++.so.5
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  7. #7
    gva_1030 is offline Junior Member
    Join Date
    Feb 2008
    Posts
    7
    Rep Power
    7

    Default

    I proceeded from this step successfully and installed libstdc++.so.5.

    I also succeeded installing zcs 5.0, but while configuration and startup it is giving some error and telling re-run zmsetup.pl again...

    I am here posting trail lines of install.log

    checking isEnabled zimbra-ldap
    zimbra-ldap is enabled
    Initializing ldap...
    *** Running as zimbra user: /opt/zimbra/libexec/zmldapinit
    sudo: sorry, you must have a tty to run sudo
    sudo: sorry, you must have a tty to run sudo
    sudo: sorry, you must have a tty to run sudo
    sudo: sorry, you must have a tty to run sudo
    sudo: sorry, you must have a tty to run sudo
    sudo: sorry, you must have a tty to run sudo
    sudo: sorry, you must have a tty to run sudo
    IO::Socket::INET: connect: Connection refused at /opt/zimbra/libexec/zmldapinit line 160.
    failed. (28416)


    I appreciate your help in this issue. Thanks in advance....

  8. #8
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,201
    Rep Power
    56

    Default

    You should search the forums for these words: IO::Socket::INET: sudo - the answer is in one of those threads.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  9. #9
    gva_1030 is offline Junior Member
    Join Date
    Feb 2008
    Posts
    7
    Rep Power
    7

    Default

    sorry for asking without searching forum..,

    I followed your instruction and searched for "sudo" and commented requiretty in /etc/sudoers file.

    After reinstall , sudo error has gone. but the following error...

    Initializing ldap...
    *** Running as zimbra user: /opt/zimbra/libexec/zmldapinit
    IO::Socket::INET: connect: Connection refused at /opt/zimbra/libexec/zmldapinit line 160.
    failed. (28416)


    I searched the forum , and checked for
    1. libltdl.so.3

    [root@localhost zcs]# rpm -q --whatprovides libltdl.so.3
    libtool-ltdl-1.5.24-3.fc8

    2. Split DSN , but could not understand the point.

    One more finding , while installing I got error like DNS hostname (localhost) re assign[YES] and domain (localdomain) name reassign [YES], ...etc. I am installing on FC 8 and ZCS 5.0 FOSS on my personal PC.

    Please guide me....

  10. #10
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,201
    Rep Power
    56

    Default

    I didn't ask you to search for sudo, I asked you to search for the following two items (in the same search):

    IO::Socket::INET:
    sudo

    You should read the third thread in that list, specifically this post: SLES10: Problem upgrading from Zimbra NE 5.0 to NE 5.0.1
    Last edited by phoenix; 02-10-2008 at 09:15 AM.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

Page 1 of 2 12 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Cleanup after many upgrades
    By tobru in forum Installation
    Replies: 1
    Last Post: 12-23-2007, 09:21 AM
  2. zmtlsctl give LDAP error
    By sourcehound in forum Administrators
    Replies: 5
    Last Post: 03-11-2007, 03:48 PM
  3. dspam logrotate errors
    By michaeln in forum Users
    Replies: 7
    Last Post: 02-19-2007, 12:45 PM
  4. Post instsallation problems
    By Assaf in forum Installation
    Replies: 14
    Last Post: 01-29-2007, 11:38 AM
  5. Fedora Core 3, Clean Install - Not working!
    By pcjackson in forum Installation
    Replies: 17
    Last Post: 03-05-2006, 07:38 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •